Loading...
Searching...
No Matches
CglGMI.hpp File Reference
`#include "CglCutGenerator.hpp"`
`#include "CglGMIParam.hpp"`
`#include "CoinWarmStartBasis.hpp"`
`#include "CoinFactorization.hpp"`
Include dependency graph for CglGMI.hpp:

Go to the source code of this file.

## Classes

class | CglGMI
| Gomory cut generator with several cleaning procedures, used to test the numerical safety of the resulting cuts. More...

## Functions

void | CglGMIUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglGMI class.

## Function Documentation

## CglGMIUnitTest()

void CglGMIUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests the methods in the CglGMI class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.